### Function

# Fwupd trust_flag_from_string

since: 0.7.0

#### Declaration [src]

    FwupdTrustFlags
    fwupd_trust_flag_from_string (
      const gchar* trust_flag
    )

#### Description [src]

Converts a string to an enumerated trust flag.

Available since: 0.7.0

#### Parameters

`trust_flag`

  Type: `const gchar*`

  A string, e.g. `payload`

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `FwupdTrustFlags`

Enumerated value.